package com.heyu.api.data.dao.vv;
/**
* <p>
* 类目表 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-24
*/

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.heyu.api.data.entity.vv.VvAdminCategoryEntity;
import com.lz.mybatis.plugin.annotations.IN;
import com.lz.mybatis.plugin.annotations.OrderBy;
import com.lz.mybatis.plugin.annotations.OrderType;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvAdminCategoryDao extends BaseMapper<VvAdminCategoryEntity> {


	VvAdminCategoryEntity selectVvAdminCategoryById(@Param("id")Long id);


	Long insertVvAdminCategory(VvAdminCategoryEntity vvAdminCategory);


	Long insertOrUpdateVvAdminCategory(VvAdminCategoryEntity vvAdminCategory);


	int updateVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory);


	int updateCoverVvAdminCategoryById(VvAdminCategoryEntity vvAdminCategory);


	int deleteVvAdminCategoryById(@Param("id")Long id);


	List<VvAdminCategoryEntity> selectVvCategoryAll();


	@OrderBy(value={VvAdminCategoryEntity.default_sort},type={OrderType.ASC})
	List<VvAdminCategoryEntity> selectVvCategoryByParentId(Integer parentId);

	List<VvAdminCategoryEntity> selectVvCategoryByIds(@IN List<Long> id);
}